Subject: Re: [Mg-t] TD Engine Pull Rear Oil Seal

From: [email-masked]
Date: Fri, 13 Sep 2013 13:48:37 +0000 (UTC)

Bill, 

I vote for taking a look at that rear oil gallery plug as well as the cam core plug. After removing and replacing a newly rebuilt engine a couple of times, trying to fix what I thought to be a leaking rear seal, I reinstalled the engine w/o the gearbox (maybe w/o the flywheel, it was 30 years ago!), started the engine and found the gallery plug to be the culprit. Thereafter, I always sealed those threads! 

Ed Woods 
______________________________________________

[email-masked]
Archive: http://www.team.net/archive